
TYPO3.Fluid - Bug # 47188

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: View
Created: 2013-04-13 Assigned To: Bastian Waidelich
Updated: 2014-12-16 Due date:
Has patch: No
Affected Flow version: FLOW3 1.0.0
Subject: Fluid tries to render folders as templates partials and layouts
Description

The file_exists check in TemplateView is true also for folders. This leads to unrendered partials with resorted paths.

Solution: add additional is_dir check

Associated revisions
Revision b1041e1c - 2013-09-23 12:09 - Bastian Waidelich

[BUGFIX] Don't use folders as templates, partials and layouts

The PHP function ``file_exists()`` returns TRUE for files as well as
directories.
This change adjusts Template- and StandaloneView to use ``is_file()``
instead.

Change-Id: Ib19cce211e61aa6601d809ff9ae95347e99df0f1
Fixes: #47188
Releases: master, 2.0

Revision 2bf63632 - 2014-01-31 15:05 - Bastian Waidelich

[BUGFIX] Don't use folders as templates, partials and layouts

The PHP function ``file_exists()`` returns TRUE for files as well as
directories.
This change adjusts Template- and StandaloneView to use ``is_file()``
instead.

Change-Id: Ib19cce211e61aa6601d809ff9ae95347e99df0f1
Fixes: #47188
Releases: master, 2.0

History
#1 - 2013-09-21 12:09 - Tymoteusz Motylewski

it was fixed in the CMS Fluid
see https://review.typo3.org/#/c/19920/
(replace file_exist with is_file)
#2 - 2013-09-21 15:16 - Krzysztof Adamczyk

ok i can do it.

#3 - 2013-09-21 15:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23951

#4 - 2013-09-21 16:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23951

#5 - 2013-09-23 12:02 - Bastian Waidelich
- Category set to View
- Status changed from Under Review to Accepted
- Assigned To set to Bastian Waidelich

Thanks for the report. I'll take care

#6 - 2013-09-23 12:10 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23968

#7 - 2013-09-24 15:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b1041e1c0b1f38fe321096b5130ac0baf1df4e45.

#8 - 2014-01-31 15:05 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/27194

#9 - 2014-02-19 11:36 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:2bf6363234ad0b7795b3c617c6c4136549666e96.

#10 - 2014-10-03 21:01 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/23951

#11 - 2014-10-07 21:48 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/23951

#12 - 2014-10-07 23:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33195

#13 - 2014-10-07 23:41 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33196

#14 - 2014-10-07 23:42 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33196

#15 - 2014-12-16 10:55 - Bastian Waidelich
- Status changed from Under Review to Resolved

FYI: This has been re-opened because the TYPO3 CMS changesets referenced this ticket. But in the meantime this has been merged in all affected
versions including the fluid extension
